SORT(1)

NIMI
sort - järjestää tekstitiedostojen rivejä

YLEISKATSAUS
sort [VALITSIN]... [TIEDOSTO]...
sort [VALITSIN]... --files0-from=T

KUVAUS

Write sorted concatenation of all FILE(s) to standard output.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille. Lajitteluvalitsimet:

-b, --ignore-leading-blanks
    älä huomioi edeltäviä tyhjeitä

-d, --dictionary-order
    lajittele vain tyhjeiden ja alfanumeeristen merkkien mukaan

-f, --ignore-case
    älä huomioi kirjainkokoa

-g, --general-numeric-sort
    vertaa yleisen numeerisen arvon mukaan

-i, --ignore-nonprinting
    ottaa huomioon vain tulostettavat merkit

-M, --month-sort
    lajittelu vertailu (tuntematon) < 'JAN' < ... < 'DEC'

-h, --human-numeric-sort
    vertaa ihmisen luettavia lukuja (esim. 2K 1G)

-n, --numeric-sort
    compare according to string numerical value; see manual for which strings are supported

-R, --random-sort
    sekoitus, mutta ryhmittele identtiset näppäimet. Katso shuf(1)

--random-source=TIEDOSTO
    get random bytes from FILE

-r, --reverse
    reverse the result of comparisons

--sort=SANA
    sort according to WORD: general-numeric -g, human-numeric -h, month -M, numeric -n, random -R, version -V

-V, --version-sort
    natural sort of (version) numbers within text

Muut valitsimet:

--batch-size=NMERGE
    enintään NMERGE-tuloilla kerralla; lisää käyttöä varten temp-tiedostot

-c, --check, --check=diagnose-first
    check lajiteltua syöttöä varten; älä lajittele

-C, --check=quiet, --check=silent
    kuten -c, mutta älä ilmoita ensimmäistä huonoa riviä

--compress-program=OHJELMA
    pakkaa väliaikaisesti PROG:llä; purkaa ne PROG -d:llä

--debug
    annotate the part of the line used to sort, and warn about questionable usage to stderr

--files0-from=T
    read input from the files specified by NUL-terminated names in file F; If F is - then read names from standard input

-k, --key=KEYDEF
    lajittelu avaimen kautta; KEYDEF antaa sijainnin ja tyypin

-m, --merge
    yhdistää jo lajiteltuja tiedostoja; älä lajittele

-o, --output=TIEDOSTO
    kirjoita tuloste TIEDOSTOon vakiotulosteen sijaan

-s, --stable
    vakauta lajittelu poistamalla käytöstä ”viimeinen oljenkorsi”-vertailu

-S, --buffer-size=KOKO
    käytä KOKOa muistipuskurille

-t, --field-separator=EROTIN
    käytä kenttäerottimena EROTINta, ei siirtymää ei-tyhjeestä tyhjeeseen

-T, --temporary-directory=HAK
    käytä HAKemistoa väliaikaistiedostoille, ei $TMPDIR tai /tmp; useampi valitsin määrittelee monta hakemistoa

--parallel=N
    change the number of sorts run concurrently to N

-u, --unique
    jos -c on annettu: tarkista tarkka järjestys ilman -c:tä: tulosta vain ensimmäinen yhtäläisten joukosta

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

KEYDEF is F[.C][OPTS][,F[.C][OPTS]] for start and stop position, where F is a field number and C a character position in the field; both are origin 1, and the stop position defaults to the line's end. If neither -t nor -b is in effect, characters in a field are counted from the beginning of the preceding whitespace. OPTS is one or more single-letter ordering options [bdfgiMhnRrV], which override global ordering options for that key. If no key is given, use the entire line as the key. Use --debug to diagnose incorrect key usage.

SIZE may be followed by the following multiplicative suffixes: % 1% of memory, b 1, K 1024 (default), and so on for M, G, T, P, E, Z, Y, R, Q.

Ympäristön määrittelemä käytössä oleva maa-asetusto vaikuttaa lajittelujärjestykseen. Asettamalla LC_ALL=C otetaan käyttöön perinteinen lajittelujärjestys, joka käyttää tavujen arvoja.

TEKIJÄ
Kirjoittaneet Mike Haertel ja Paul Eggert.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2024 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
shuf(1), uniq(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/sort>
tai saatavilla paikallisesti: info '(coreutils) sort invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Rami Koivunen <rkoivu@utu.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.